> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tolt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a customer

> Gets a customer by ID, with its status, the partner it is attributed to and your own customer and subscription IDs.



## OpenAPI

````yaml /api-reference/openapi.json get /v2/customers/{id}
openapi: 3.1.0
info:
  title: Tolt Public API
  version: 2.0.0
servers:
  - url: https://platform.tolt.dev
    description: Development
security:
  - bearerAuth: []
paths:
  /v2/customers/{id}:
    get:
      tags:
        - Customers
      summary: Get a customer
      description: >-
        Gets a customer by ID, with its status, the partner it is attributed to
        and your own customer and subscription IDs.
      operationId: getCustomer
      parameters:
        - schema:
            type: string
            example: cus_LBfjvtfct9pVUeLojMHiGnXv
          required: true
          name: id
          in: path
      responses:
        '200':
          description: The requested customer
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Request successful
                  data:
                    $ref: '#/components/schemas/Customer'
                required:
                  - success
                  - message
                  - data
              example:
                success: true
                message: Successfully fetched customer
                data:
                  id: cus_LBfjvtfct9pVUeLojMHiGnXv
                  customer_id: user_4821
                  identifier: alex@example.com
                  email: alex@example.com
                  name: Alex Morgan
                  status: active
                  plan: Pro
                  subscription_id: sub_R8qW2mN6kP4vT9xY
                  partner_id: part_NLYzgNKuSuASvrvoxNtau6SY
                  program_id: prg_T6z8aRW3XCmvFWP972RKxpAd
                  link_id: lnk_mtTeeckFa1vMdvDFXretQNs6
                  promotion_code_id: promo_gTCAUsWfdmN2GuCVRaHWNRan
                  click_id: clk_mEsbFYv6ZjqXjAoFwokjS6v6
                  lead_at: '2026-10-01T12:00:00Z'
                  active_at: '2026-10-01T12:00:00Z'
                  created_at: '2026-10-01T12:00:00Z'
                  updated_at: '2026-10-01T12:00:00Z'
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                success: false
                message: Unauthorized
                code: unauthorized
                doc_url: https://docs.tolt.com/errors#unauthorized
        '404':
          description: Customer not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                success: false
                message: Customer not found
                code: not_found
                doc_url: https://docs.tolt.com/errors#not_found
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
        '413':
          $ref: '#/components/responses/PayloadTooLarge'
        '429':
          $ref: '#/components/responses/RateLimited'
components:
  schemas:
    Customer:
      type: object
      properties:
        id:
          type: string
          example: cus_LBfjvtfct9pVUeLojMHiGnXv
        customer_id:
          type:
            - string
            - 'null'
          example: user_4821
        identifier:
          type:
            - string
            - 'null'
          example: alex@example.com
        email:
          type:
            - string
            - 'null'
          example: alex@example.com
        name:
          type:
            - string
            - 'null'
          example: Alex Morgan
        status:
          type:
            - string
            - 'null'
          example: active
        plan:
          type:
            - string
            - 'null'
          example: Pro
        subscription_id:
          type:
            - string
            - 'null'
          example: sub_R8qW2mN6kP4vT9xY
        partner_id:
          type:
            - string
            - 'null'
          example: part_NLYzgNKuSuASvrvoxNtau6SY
        program_id:
          type:
            - string
            - 'null'
          example: prg_T6z8aRW3XCmvFWP972RKxpAd
        link_id:
          type:
            - string
            - 'null'
          example: lnk_mtTeeckFa1vMdvDFXretQNs6
        promotion_code_id:
          type:
            - string
            - 'null'
          example: promo_gTCAUsWfdmN2GuCVRaHWNRan
        click_id:
          type:
            - string
            - 'null'
          example: clk_mEsbFYv6ZjqXjAoFwokjS6v6
        lead_at:
          anyOf:
            - type: string
              format: date-time
              example: '2026-10-01T12:00:00Z'
            - type: 'null'
        active_at:
          anyOf:
            - type: string
              format: date-time
              example: '2026-10-01T12:00:00Z'
            - type: 'null'
        created_at:
          type: string
          format: date-time
          example: '2026-10-01T12:00:00Z'
        updated_at:
          type: string
          format: date-time
          example: '2026-10-01T12:00:00Z'
      required:
        - id
        - customer_id
        - identifier
        - email
        - name
        - status
        - plan
        - subscription_id
        - partner_id
        - program_id
        - link_id
        - promotion_code_id
        - click_id
        - lead_at
        - active_at
        - created_at
        - updated_at
    Error:
      type: object
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
          description: Human-readable explanation. May change; branch on code instead.
        code:
          type: string
          enum:
            - bad_request
            - validation_error
            - invalid_reference
            - invalid_cursor
            - unauthorized
            - forbidden
            - not_found
            - conflict
            - already_exists
            - commission_paid
            - commission_frozen
            - transaction_refunded
            - commission_exists
            - rate_limited
            - payload_too_large
            - internal_error
          description: Stable machine-readable error code.
          example: not_found
        doc_url:
          type: string
          example: https://docs.tolt.com/errors#not_found
        errors:
          type: array
          items:
            type: object
            properties:
              field:
                type: string
              message:
                type: string
            required:
              - field
              - message
          description: >-
            One entry per offending field. Present on validation_error and
            invalid_reference.
      required:
        - success
        - message
        - code
        - doc_url
  headers:
    X-RateLimit-Limit:
      description: Requests allowed in the current window.
      schema:
        type: integer
    X-RateLimit-Remaining:
      description: Requests left in the current window.
      schema:
        type: integer
    X-RateLimit-Reset:
      description: Unix time, in seconds, when the window resets.
      schema:
        type: integer
    Retry-After:
      description: Seconds to wait before retrying.
      schema:
        type: integer
  responses:
    PayloadTooLarge:
      description: Request body exceeds 1 MB
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            success: false
            message: Request body exceeds 1 MB
            code: payload_too_large
            doc_url: https://docs.tolt.com/errors#payload_too_large
    RateLimited:
      description: The API key exceeded its rate limit
      headers:
        X-RateLimit-Limit:
          $ref: '#/components/headers/X-RateLimit-Limit'
        X-RateLimit-Remaining:
          $ref: '#/components/headers/X-RateLimit-Remaining'
        X-RateLimit-Reset:
          $ref: '#/components/headers/X-RateLimit-Reset'
        Retry-After:
          $ref: '#/components/headers/Retry-After'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            success: false
            message: Too many requests. Retry after the window resets.
            code: rate_limited
            doc_url: https://docs.tolt.com/errors#rate_limited
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Tolt API key sent as a bearer token.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.